Name:		vile
Version:	9.7zc
Release:	1%{?dist}
Summary:	Vi like Emacs

Group:		Applications/Editors
License:	GPLv2+
URL:		http://invisible-island.net/vile/
Source0:	ftp://invisible-island.net/vile/current/vile-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	perl-devel, ncurses-devel, flex, libXt-devel, libX11-devel
Requires:	ncurses

%description
Vile retains the "finger-feel", if you will, of vi, while adding the multiple
buffer and multiple window features of Emacs and other editors. It is
definitely not a vi clone, in that some substantial stuff is missing, and the
screen doesn't look quite the same. The things that you tend to type over and
over probably work. Things done less frequently, like configuring a start-up
file, are somewhat (or very, depending on how ambitious you are) different. But
what matters most is that one's "muscle memory" does the right thing to the
text in front of you, and that is what vile tries to do for vi users.

See the vile FAQ: http://invisible-island.net/vile/vile.faq.html

See the vile help-file: http://invisible-island.net/vile/vile-toc.html


%prep
%setup -q


%build
%configure --enable-plugins --with-perl --with-ncurses --with-iconv
make %{?_smp_mflags}
tar cfz vile-nox.tgz vile vile.1

%configure --enable-plugins --with-perl --with-x --with-ncurses --with-iconv
make %{?_smp_mflags}

rm doc/ncu-indent doc/*.sh doc/*.pl

%install
rm -rf $RPM_BUILD_ROOT

# Install the x version
make install DESTDIR=$RPM_BUILD_ROOT

# Unpack the nox version and install
tar xfz vile-nox.tgz
install -c -m 0755 vile macros/vile-pager $RPM_BUILD_ROOT%{_bindir}/
install -c -m 0644 vile.1 $RPM_BUILD_ROOT%{_mandir}/man1/

# Correct the path for app-defaults
mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/
mv $RPM_BUILD_ROOT/usr/lib/X11/app-defaults/* $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES CHANGES.R3 CHANGES.R4 CHANGES.R5 CHANGES.R6 CHANGES.R7
%doc CHANGES.R8 COPYING INSTALL MANIFEST README README.PC README.VMS doc
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(0644,root,root) %{_mandir}/man1/*vile.1*
%{_datadir}/X11/app-defaults/*XVile
%{_datadir}/pixmaps/vile.xbm


%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} %{packager} %{version}-%{release}
- Initial RPM release

